<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );

echo "<title>Личное фото</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n.cp \t{ border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Ваша фотка</div>";
$login = autorize();
$sound =  $login['sound'] ;

switch ( $mod )
{
case "s1" :

if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/horowo.wav\">";
}

echo "<form enctype=\"multipart/form-data\" action=\"{$PHP_SELF}?id={$id}&amp;pass={$pass}\" method=\"post\">";
echo "Прикрепить Ваше фото:<br/>";

echo "<input name=\"file\" type=\"file\" size=\"20\"><br/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"load\"/>";
echo "<input type=\"submit\" value=\"Отправить\" class=\"cp\">";
echo "</form>";
break;
case "load" :
if ( empty( $file ) )
{
echo "Вы не указали файл!<br/>";

if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/owibka.wav\">";
}

break;
}
else
{
$size = @filesize( @$file );
$par = @getimagesize( @$file );

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3)
{
echo "Указанный вами файл не является файлом с указанным нами форматом!<br/>";
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/owibka.wav\">";
}
break;
}
else
if ( 500000 < $size )
{
echo "Слишком большой размер файла!<br/>";
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/owibka.wav\">";
}
break;
}
else
{
if ( 940 < $par[0] || 680 < $par[1] )

{
echo "Неправильное разрешение фотьки!<br/>";
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/owibka.wav\">";
}
break;
}
else
{
$photo = "p".$id.".jpg";
if ( file_exists( "foto/{$photo}" ) )
{
unlink( "foto/{$photo}" );
}
if ( !copy( $file, "foto/{$photo}" ) )
{
echo "failed to copy file...<br/>";
break;
}
else
{
echo "Ваша фотька успешно добавлена!<br/>";
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/ok.wav\">";
}
echo "<img src=\"foto/{$photo}\" alt=\"foto\"/><br/>";

$time = time( );
$msg = "Оппа-нь-киии <b>{$row['login']}</b> фотку закачивает! Щаа гг зацним это рыльце..";
mysql_query( "Insert into mess set login='Нео', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );

break;
}
}

}
}
default :

$photo = "p".$id.".jpg";
echo "<p align=\"center\"><b>{$row['login']}</b><br/>";
if ( file_exists( "foto/{$photo}" ) )
{
echo "<img src=\"foto/{$photo}\" alt=\"foto\"/><br/>";
}
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/prikaz.wav\">";
}
echo "Фотька обязательно должна быть в формате <u>.jpg .gif .png</u>, разрешением не более <u>640x480</u> и размером не более <u>50кб</u>. Если вы хотите заменить свою фотьку то просто загрузите новую, а старая автоматически удалится.</p>";

echo "<a href=\"{$PHP_SELF}?id={$id}&amp;pass={$pass}&amp;mod=s1\">Загрузить</a><br/>";
break;
}
echo "---<br/>";
if ( isset( $mod ) )
{
echo "<a href=\"{$PHP_SELF}?id={$id}&amp;pass={$pass}\">назад</a><br/>";
}
$end = gettime( );
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a>\r\n<p align=\"center\">[".round( $end - $mystart, 5 )."]</p>\r\n</body></html>";
mysql_close( $link );
?>